Provide modular metadata in EL8
03/15/2022 11:23 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee:
Category: RPMs
Target version: 3.2.0
Difficulty: Fixed in Releases: 3.3.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-d
ocumentation/pull/1111

Description

In EL8 dnf learned the concept of modules. Foreman already relied on them for Ruby 2.7 and PostgreSQL 12 but then built and
delivered the RPMs as a regular repository. This meant it needed to provide modular_hotfixes=1, which overrides a lot of modularity.

The goal of this is to provide sufficient modular metadata so users can enable the foreman or katello module. Installation instructions
for Foreman become:

dnf module enable foreman:elS8
dnf install foreman-installer

And for Katello:

dnf module enable pulpcore:el8

dnf module enable katello:el8

dnf config-manager —--set—-enabled powertools
dnf install foreman-installer-katello

It will still contain modular_hotfixes=1 because of time. The way we currently generate the modular metadata only lists the latest
RPM which means dnf downgrade would break. There was also insufficient time to properly test it.

Related issues:
Blocks Packaging - Feature #34126: Deliver EL8 repositories as modular reposi... Closed

History

#1 - 03/15/2022 11:25 AM - Ewoud Kohl van Wijngaarden

- Blocks Feature #34126: Deliver EL8 repositories as modular repositories to fix dependency resolution, get automatic dependent module enablement
and handle dependency resolution without module _hotfixes added

#2 - 06/08/2022 02:21 PM - Evgeni Golov
- Status changed from New to Closed

- Fixed in Releases 3.3.0 added
